## ros-rolling-fuse-variables 1.0.1

=== debian/changelog ===
ros-rolling-fuse-variables (1.0.1-2jammy) jammy; urgency=high



 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-variables (1.0.0-2jammy) jammy; urgency=high

  * Use upstream rclcpp::node_interfaces::NodeInterfaces (#313 <https://github.com/locusrobotics/fuse/issues/313>)
    * Use upstream rclcpp::node_interfaces::NodeInterfaces
    * Dereference node arguments to NodeInterfaces
    ---------
    Co-authored-by: methylDragon <methylDragon@gmail.com>
  * Use rclcpp::Clock::wait_until_started (#303 <https://github.com/locusrobotics/fuse/issues/303>)
  * fuse -> ROS 2 : Doc Generation (#278 <https://github.com/locusrobotics/fuse/issues/278>)
    * Port doc generation and fix package.xml for linting
    * Fix small bugs in package.xml
    * Use default rosdoc2 settings
    * Use default rosdoc2 settings
    * Update fuse_doc for rosdoc2
    ---------
    Co-authored-by: Shane Loretz <mailto:sloretz@google.com>
  * fuse -> ROS 2 fuse_optimizers: Port fuse_optimizers (#307 <https://github.com/locusrobotics/fuse/issues/307>)
    Co-authored-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * fuse -> ROS 2 fuse_publishers: Port fuse_publishers (#299 <https://github.com/locusrobotics/fuse/issues/299>)
    Co-authored-by: Shane Loretz <mailto:shane.loretz@gmail.com>
  * ROS 2 port of fuse_viz (#301 <https://github.com/locusrobotics/fuse/issues/301>)
    * Initial attempt at porting fuse_viz
    * Make sure suitesparse can be found downstream
    * Plugin library names can't have lib/ prefix
    * Plugin library names can't have lib/ prefix
    * Add lint tests (they currently fail)
  * fuse -> ROS 2 fuse_variables: Linting (#296 <https://github.com/locusrobotics/fuse/issues/296>)
    * Migrate to .hpp files
    * Create redirection headers
    * Make xmllint and uncrustify happy
    * Wrap most comment lines
    * Satisfy cpplint
  * fuse -> ROS 2 fuse_variables: Port fuse_variables (#288 <https://github.com/locusrobotics/fuse/issues/288>)
  * fuse -> ROS 2 fuse_core: Linting (#292 <https://github.com/locusrobotics/fuse/issues/292>)
  * fuse -> ROS 2 : Port Time (#283 <https://github.com/locusrobotics/fuse/issues/283>)
  * fuse -> ROS 2: Clean up macro usage warnings (#280 <https://github.com/locusrobotics/fuse/issues/280>)
  * fuse -> ROS 2 fuse_msgs : Port package and ignore unported packages for now (#277 <https://github.com/locusrobotics/fuse/issues/277>)
    Co-authored-by: Tom Moore <mailto:tmoore@locusrobotics.com>
  * [RST-4186] Fix fuse macro names (#263 <https://github.com/locusrobotics/fuse/issues/263>)
    * Namespace all macros with the FUSE_ prefix. Mark original macros as deprecated.
    * Update all fuse objects to use the new macro names
  * Make 2D versions of the landmark variables (#250 <https://github.com/locusrobotics/fuse/issues/250>)
  * [RST-4390] Allow variables to be held constant during optimization (#243 <https://github.com/locusrobotics/fuse/issues/243>)
    * Add support for holding variables constant
    * Create a 'fixed' landmark
    * Added initial support for marginalizing constant variables
  * Adding doxygen to all packages (#241 <https://github.com/locusrobotics/fuse/issues/241>)
  * Add unstamped 3D point variable (#233 <https://github.com/locusrobotics/fuse/issues/233>) (#239 <https://github.com/locusrobotics/fuse/issues/239>)
    * Add unstamped 3D landmark variable
    * Add landmark test and new uuid generator
    Co-authored-by: Stephen Williams <mailto:swilliams@locusrobotics.com>
    Co-authored-by: Jake McLaughlin <mailto:jake.mclaughlin98@gmail.com>
  * Contributors: Shane Loretz, Stephen Williams, Tom Moore, methylDragon

 -- Stephen Williams <swilliams@locusrobotics.com>  Fri, 03 Mar 2023 08:00:00 -0000

ros-rolling-fuse-variables (0.4.2-2jammy) jammy; urgency=high

  * Adding roslint dependency to fuse_viz (#231 <https://github.com/locusrobotics/fuse/issues/231>)
    * Adding roslint dependency to fuse_viz
    * Silence CMP0048 warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-fuse-variables (0.4.1-2jammy) jammy; urgency=high

  * Removed the explicit '-std=c++14' compile flag (#119 <https://github.com/locusrobotics/fuse/issues/119>)
    * Removed the explicit '-std=c++14' compile flag
    * Changed the CXX_STANDARD setting to be per-target instead of global
    * Added the CXX_STANDARD_REQUIRED setting to all targets
  * fix compilation in Kinetic (#112 <https://github.com/locusrobotics/fuse/issues/112>)
  * [RST-2340] Add serialization support to fuse (#98 <https://github.com/locusrobotics/fuse/issues/98>)
  * Fix -Wall -Wextra warnings in tests (#80 <https://github.com/locusrobotics/fuse/issues/80>)
  * Fix -Wall -Wextra warnings (#77 <https://github.com/locusrobotics/fuse/issues/77>)
  * Contributors: Davide Faconti, Enrique Fernandez Perdomo, Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-fuse-variables (0.4.0-2jammy) jammy; urgency=high

  * Depend on libceres-dev instead of ceres-solver (#71 <https://github.com/locusrobotics/fuse/issues/71>)
  * Modified Variable class to make the UUID immutable (#55 <https://github.com/locusrobotics/fuse/issues/55>)
  * The node handle in the loadDeviceId() function does not need to be mutable (#56 <https://github.com/locusrobotics/fuse/issues/56>)
  * Fixed missing header. It was moved to a different package. (#49 <https://github.com/locusrobotics/fuse/issues/49>)
  * [RST-1940] Added a localSize() method to the Variable class (#42 <https://github.com/locusrobotics/fuse/issues/42>)
  * [RST-1927] Update the local parameterization for the orientation variables (#41 <https://github.com/locusrobotics/fuse/issues/41>)

