=== debian/control ===
Source: ros-rolling-fuse-variables
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-fuse-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-fuse-variables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, ros-rolling-fuse-core, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-ros-workspace
Description: The fuse_variables package provides a set of commonly used variable types, such as 2D and 3D positions, \ orientations, velocities, and accelerations.
